package net.minecraft.src;

import java.util.Random;

public class mod_WorldGenMetadataExample extends BaseModMp {
	
	public mod_WorldGenMetadataExample() {
	}
	
	public void GenerateSurface(World world, Random random, int chunkX, int chunkZ) {
	      int posX;
	      int posY;
	      int posZ;
	      int i;
	      
	      for(i = 0; i < 32; ++i) {
	          posX = chunkX + random.nextInt(16);
	          posY = random.nextInt(128);
	          posZ = chunkZ + random.nextInt(16);
	          (new WorldGenMinableMetadata(Block.cloth.blockID, 9, 16)).generate(world, random, posX, posY, posZ);
	          /*
	           * new WorldGenMinableMetadata is a copy of WorldGenMinable that has been edited to recognize metadata.
	           * Where it would normally be (new WorldGenMinable(Block.cloth.blockID, 16)).generate(world, random, posX, posY, posZ); and only give you White wool/cloth
	           * Now you can add the metadata to make it look like this (new WorldGenMinableMetadata(Block.cloth.blockID, 9, 16)).generate(world, random, posX, posY, posZ);
	           * The 9 is the metadata for that block, I believe this will generate Cyan wool in the world instead of White
	          */
	       }
	      
	      for(i = 0; i < 32; ++i) {
	          posX = chunkX + random.nextInt(16);
	          posY = random.nextInt(128);
	          posZ = chunkZ + random.nextInt(16);
	          (new WorldGenMinableMetadata(Block.cloth.blockID, 0, 16)).generate(world, random, posX, posY, posZ);
	       }
	      
	      for(i = 0; i < 32; ++i) {
	          posX = chunkX + random.nextInt(16);
	          posY = random.nextInt(128);
	          posZ = chunkZ + random.nextInt(16);
	          (new WorldGenMinableMetadata(Block.cloth.blockID, 1, 16)).generate(world, random, posX, posY, posZ);
	       }
	      
	      for(i = 0; i < 32; ++i) {
	          posX = chunkX + random.nextInt(16);
	          posY = random.nextInt(128);
	          posZ = chunkZ + random.nextInt(16);
	          (new WorldGenMinableMetadata(Block.cloth.blockID, 2, 16)).generate(world, random, posX, posY, posZ);
	       }
	      
	      for(i = 0; i < 32; ++i) {
	          posX = chunkX + random.nextInt(16);
	          posY = random.nextInt(128);
	          posZ = chunkZ + random.nextInt(16);
	          (new WorldGenMinableMetadata(Block.cloth.blockID, 3, 16)).generate(world, random, posX, posY, posZ);
	       }
	      
	      for(i = 0; i < 32; ++i) {
	          posX = chunkX + random.nextInt(16);
	          posY = random.nextInt(128);
	          posZ = chunkZ + random.nextInt(16);
	          (new WorldGenMinableMetadata(Block.cloth.blockID, 4, 16)).generate(world, random, posX, posY, posZ);
	       }
	      
	      for(i = 0; i < 32; ++i) {
	          posX = chunkX + random.nextInt(16);
	          posY = random.nextInt(128);
	          posZ = chunkZ + random.nextInt(16);
	          (new WorldGenMinableMetadata(Block.cloth.blockID, 5, 16)).generate(world, random, posX, posY, posZ);
	       }
	      
	      for(i = 0; i < 32; ++i) {
	          posX = chunkX + random.nextInt(16);
	          posY = random.nextInt(128);
	          posZ = chunkZ + random.nextInt(16);
	          (new WorldGenMinableMetadata(Block.cloth.blockID, 6, 16)).generate(world, random, posX, posY, posZ);
	       }
	      
	      for(i = 0; i < 32; ++i) {
	          posX = chunkX + random.nextInt(16);
	          posY = random.nextInt(128);
	          posZ = chunkZ + random.nextInt(16);
	          (new WorldGenMinableMetadata(Block.cloth.blockID, 7, 16)).generate(world, random, posX, posY, posZ);
	       }
	      
	      for(i = 0; i < 32; ++i) {
	          posX = chunkX + random.nextInt(16);
	          posY = random.nextInt(128);
	          posZ = chunkZ + random.nextInt(16);
	          (new WorldGenMinableMetadata(Block.cloth.blockID, 8, 16)).generate(world, random, posX, posY, posZ);
	       }
	      
	      for(i = 0; i < 32; ++i) {
	          posX = chunkX + random.nextInt(16);
	          posY = random.nextInt(128);
	          posZ = chunkZ + random.nextInt(16);
	          (new WorldGenMinableMetadata(Block.cloth.blockID, 10, 16)).generate(world, random, posX, posY, posZ);
	       }
	      
	      for(i = 0; i < 32; ++i) {
	          posX = chunkX + random.nextInt(16);
	          posY = random.nextInt(128);
	          posZ = chunkZ + random.nextInt(16);
	          (new WorldGenMinableMetadata(Block.cloth.blockID, 11, 16)).generate(world, random, posX, posY, posZ);
	       }
	      
	      for(i = 0; i < 32; ++i) {
	          posX = chunkX + random.nextInt(16);
	          posY = random.nextInt(128);
	          posZ = chunkZ + random.nextInt(16);
	          (new WorldGenMinableMetadata(Block.cloth.blockID, 12, 16)).generate(world, random, posX, posY, posZ);
	       }
	      
	      for(i = 0; i < 32; ++i) {
	          posX = chunkX + random.nextInt(16);
	          posY = random.nextInt(128);
	          posZ = chunkZ + random.nextInt(16);
	          (new WorldGenMinableMetadata(Block.cloth.blockID, 13, 16)).generate(world, random, posX, posY, posZ);
	       }
	      
	      for(i = 0; i < 32; ++i) {
	          posX = chunkX + random.nextInt(16);
	          posY = random.nextInt(128);
	          posZ = chunkZ + random.nextInt(16);
	          (new WorldGenMinableMetadata(Block.cloth.blockID, 14, 16)).generate(world, random, posX, posY, posZ);
	       }
	      
	      for(i = 0; i < 32; ++i) {
	          posX = chunkX + random.nextInt(16);
	          posY = random.nextInt(128);
	          posZ = chunkZ + random.nextInt(16);
	          (new WorldGenMinableMetadata(Block.cloth.blockID, 15, 16)).generate(world, random, posX, posY, posZ);
	       }
	}
	
	public String Version() {
		return "v1.0";
	}
	
	public String Name() {
		return "This is an example of how to use Metadata World Gen.";
	}

}
